# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_bar0txilh4/clone/recipe, last modified Tue May 16 08:58:03 2023
# ------------------------------------------------

package:
  name: numba
  version: 0.57.0
source:
  patches: null
  sha256: e6c266c20f941c1adde89e3a70e02ccc9f513635a46fa671ca8b69785e32a0d9
  url: https://github.com/numba/numba/archive/0.57.0.tar.gz
build:
  entry_points:
    - numba = numba.misc.numba_entry:main
  number: '0'
  script:
    - /var/folders/nz/j6p8yfhx1mv_0grj5xl4650h0000gp/T/abs_bar0txilh4/croot/numba_1684245494553/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
      -m pip install . --no-deps  --no-build-isolation --ignore-installed -vvv
  string: py310h46d7db6_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_25
    - clang 14.0.6 hca03da5_1
    - clang-14 14.0.6 default_h1b80db6_1
    - clang_osx-arm64 14.0.6 h9ff6fda_0
    - clangxx 14.0.6 default_h1b80db6_1
    - clangxx_osx-arm64 14.0.6 h72866fe_0
    - compiler-rt 14.0.6 h4ccfd99_0
    - compiler-rt_osx-arm64 14.0.6 h4fb70ea_0
    - ld64_osx-arm64 530 h001ce53_25
    - ldid 2.1.2 h64d1936_2
    - libclang-cpp14 14.0.6 default_h1b80db6_1
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libllvm14 14.0.6 h7ec7a93_3
    - llvm-openmp 14.0.6 hc6e5704_0
    - llvm-tools 14.0.6 hfd8c8a6_3
    - tapi 1100.0.11 h8754e6a_1
    - zlib 1.2.13 h5a0b063_0
  host:
    - blas 1.0 openblas
    - bzip2 1.0.8 h620ffc9_4
    - ca-certificates 2023.01.10 hca03da5_0
    - libcxx 14.0.6 h848a8c0_0
    - libffi 3.4.4 hca03da5_0
    - libgfortran 5.0.0 11_3_0_hca03da5_28
    - libgfortran5 11.3.0 h009349e_28
    - libllvm14 14.0.6 h7ec7a93_3
    - libopenblas 0.3.21 h269037a_0
    - llvm-openmp 14.0.6 hc6e5704_0
    - llvmlite 0.40.0 py310h514c7bf_0
    - ncurses 6.4 h313beb8_0
    - numpy 1.21.5 py310h220015d_3
    - numpy-base 1.21.5 py310h742c864_3
    - openssl 1.1.1t h1a28f6b_0
    - pip 23.0.1 py310hca03da5_0
    - python 3.10.11 hc0d8a6c_2
    - readline 8.2 h1a28f6b_0
    - setuptools 66.0.0 py310hca03da5_0
    - sqlite 3.41.2 h80987f9_0
    - tbb 2021.8.0 h48ca7d4_0
    - tbb-devel 2021.8.0 h48ca7d4_0
    - tk 8.6.12 hb8d0fd4_0
    - tzdata 2023c h04d1e81_0
    - wheel 0.38.4 py310hca03da5_0
    - xz 5.4.2 h80987f9_0
    - zlib 1.2.13 h5a0b063_0
  run:
    - libcxx >=14.0.6
    - libllvm14 >=14.0.6,<14.1.0a0
    - llvm-openmp >=14.0.6
    - llvmlite >=0.40.0,<0.41.0a0
    - numpy >=1.21,!=1.22.0,!=1.22.1,!=1.22.2,<1.25
    - python >=3.10,<3.11.0a0
    - setuptools
    - tbb >=2021.8.0
  run_constrained:
    - cuda-python >=11.6
    - cudatoolkit >=10.2
    - libopenblas >=0.3.18, !=0.3.20
    - scipy >=1.0
    - tbb >=2021.6,<2022
test:
  imports:
    - numba
    - numba.core.annotations
    - numba.core.datamodel
    - numba.core.rewrites
    - numba.core.runtime
    - numba.core.typeconv
    - numba.core.typing
    - numba.core.unsafe
    - numba.cuda
    - numba.cuda.cudadrv
    - numba.cuda.kernels
    - numba.cuda.simulator
    - numba.cuda.simulator.cudadrv
    - numba.cuda.tests
    - numba.cuda.tests.cudadrv
    - numba.cuda.tests.cudapy
    - numba.cuda.tests.cudasim
    - numba.cuda.tests.data
    - numba.cuda.tests.nocuda
    - numba.experimental.jitclass
    - numba.np.ufunc
    - numba.pycc
    - numba.scripts
    - numba.testing
    - numba.tests
    - numba.tests.npyufunc
  requires:
    - cffi
    - clang_osx-arm64 14.*
    - clangxx_osx-arm64 14.*
    - ipykernel
    - ipython
    - jinja2
    - llvm-openmp
    - pexpect
    - pip
    - pygments
    - scipy
    - setuptools
    - tbb >=2021.0, <2022
    - wheel
about:
  description: 'Numba is an Open Source NumPy-aware optimizing compiler for Python

    sponsored by Anaconda, Inc. It uses the remarkable LLVM compiler

    infrastructure to compile Python syntax to machine code."

    '
  dev_url: https://github.com/numba/numba
  doc_source_url: https://github.com/numba/numba/tree/0.57.0/docs
  home: https://numba.pydata.org
  license: BSD-2-Clause
  license_family: BSD
  license_file: LICENSE
  summary: NumPy aware dynamic Python compiler using LLVM
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: badde432-b318-428d-813d-620b05bfc742
  recipe-maintainers:
    - henryiii
    - jakirkham
    - marcelotrevisani
    - mbargull
    - souravsingh
    - step21
  remote_url: git@github.com:AnacondaRecipes/numba-feedstock.git
  sha: 6727529b9092836f7fef473bfa0fe4377129ee80
